<div style="position: absolute; top: 0px; left: 0px; width: 100%; height: 100%;">
    <canvas id="mychart" width="100%" height="100%" />
</div>
<script>
    import { Chart } from 'chart.js'
    import { AppStore } from './App.store';

    export default {
        store: () => AppStore,
        oncreate() {
            AppStore.on('state', ({ changed, current }) => {
                if (changed.wins) {
                    let sum = 0;
                    const aggregation = current.wins
                        .sort((a, b) => a.when - b.when)
                        .map((curr, idx, array) => {
                            sum += curr.wins;
                            sum -= curr.loss;
                            return { x: sum, y: new Date(curr.when) };
                        });
                    console.log(aggregation)
                    var ctx = document.getElementById('mychart');
                    var ctx = document.getElementById('mychart').getContext('2d');
                    new Chart(ctx, {
                        type: 'line',
                        data: {
                            datasets: [{
                                label: ' ',
                                data: aggregation,
                                fill: false,
                                tension: 0
                            }]
                        },
                        options: {
                            scales: {
                                xAxes: [{
                                    type: 'linear'
                                }]
                            }
                        }
                    });
                }
            });
        }
    }
</script>